Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Illegal_Point Struct Reference

`#include <point_gfp.h>`

Inheritance diagram for Botan::Illegal_Point:

## Public Member Functions
| Illegal_Point (const std::string &err="Malformed ECP point detected")
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Exception thrown if some form of illegal point is decoded

Definition at line 32 of file point_gfp.h.

## Constructor & Destructor Documentation

Botan::Illegal_Point::Illegal_Point | ( | const std::string & | err = `"Malformed ECP point detected"` | ) |
| inline explicit

Definition at line 34 of file point_gfp.h.

34 :
35 Exception(err) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following file:

- src/lib/math/ec_gfp/point_gfp.h